Ulfius: Data Fields

Ulfius HTTP Framework for REST Applications in C

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- allowed_post_processor : _u_instance
- auth_basic_password : _u_request
- auth_basic_user : _u_request
- auth_realm : _u_response

### - b -

- binary_body : _u_request, _u_response
- binary_body_length : _u_request, _u_response
- bind_address : _u_instance
- bind_address6 : _u_instance

### - c -

- ca_path : _u_request
- callback_first_iteration : connection_info_struct
- callback_function : _u_endpoint
- callback_position : _u_request
- check_proxy_certificate : _u_request
- check_proxy_certificate_flag : _u_request
- check_server_certificate : _u_request
- check_server_certificate_flag : _u_request
- check_utf8 : _u_instance
- client_address : _u_request
- client_cert : _u_request
- client_cert_file : _u_request
- client_key_file : _u_request
- client_key_password : _u_request

### - d -

- data : _u_body, _u_smtp_payload
- default_auth_realm : _u_instance
- default_endpoint : _u_instance
- default_headers : _u_instance
- domain : _u_cookie

### - e -

- endpoint_list : _u_instance
- expires : _u_cookie

### - f -

- file_upload_callback : _u_instance
- file_upload_cls : _u_instance
- follow_redirect : _u_request
- fragment : yuarel
- free_shared_data : _u_response

### - h -

- has_post_processor : connection_info_struct
- host : yuarel
- http_method : _u_endpoint
- http_only : _u_cookie
- http_protocol : _u_request
- http_url : _u_request
- http_verb : _u_request

### - k -

- key : _u_cookie, yuarel_param
- keys : _u_map

### - l -

- len : _u_smtp_payload
- lengths : _u_map

### - m -

- map_cookie : _u_request, _u_response
- map_header : _u_request, _u_response
- map_post_body : _u_request
- map_url : _u_request
- map_url_initial : connection_info_struct
- max_age : _u_cookie
- max_post_body_size : _u_instance
- max_post_param_size : _u_instance, connection_info_struct
- mhd_daemon : _u_instance
- mhd_response_copy_data : _u_instance

### - n -

- nb_cookies : _u_response
- nb_endpoints : _u_instance
- nb_values : _u_map

### - o -

- offset : _u_smtp_payload

### - p -

- password : yuarel
- path : _u_cookie, yuarel
- port : _u_instance, yuarel
- post_processor : connection_info_struct
- priority : _u_endpoint
- protocol : _u_response
- proxy : _u_request

### - q -

- query : yuarel

### - r -

- request : connection_info_struct

### - s -

- same_site : _u_cookie
- scheme : yuarel
- secure : _u_cookie
- shared_data : _u_response
- size : _u_body
- status : _u_instance, _u_response
- stream_block_size : _u_response
- stream_callback : _u_response
- stream_callback_free : _u_response
- stream_size : _u_response
- stream_user_data : _u_response

### - t -

- timeout : _u_instance, _u_request, _u_response

### - u -

- u_instance : connection_info_struct
- url_format : _u_endpoint
- url_path : _u_request
- url_prefix : _u_endpoint
- use_client_cert_auth : _u_instance
- user_data : _u_endpoint
- username : yuarel

### - v -

- val : yuarel_param
- value : _u_cookie
- values : _u_map

### - w -

- websocket_handle : _u_response
- websocket_handler : _u_instance